% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/prior-class.R
\docType{class}
\name{NormalPrior-class}
\alias{NormalPrior-class}
\alias{names,NormalPrior-method}
\alias{$,NormalPrior-method}
\alias{$<-,NormalPrior-method}
\alias{show,NormalPrior-method}
\alias{print,NormalPrior-method}
\alias{print.NormalPrior}
\title{Normal prior class for Beta and Delta parameters.}
\usage{
\S4method{names}{NormalPrior}(x)

\S4method{$}{NormalPrior}(x, name)

\S4method{$}{NormalPrior}(x, name) <- value

\S4method{show}{NormalPrior}(object)

\S4method{print}{NormalPrior}(x, ...)

\method{print}{NormalPrior}(x, ...)
}
\arguments{
\item{x}{The NormalPrior object.}

\item{name}{The requested slot.}

\item{value}{New value.}

\item{object}{The NormalPrior object.}

\item{...}{Ignored.}
}
\value{
\strong{\code{names}}: A character vector with the prior parameters.

\strong{\code{`$`}}: The requested slot's value.

\strong{\code{`$<-`}}: The new object with the updated slot.

\strong{\code{show}} and \strong{\code{print}}: The invisible object.
}
\description{
This is used to represent the prior for Beta and Delta individually. They
still need to be joined to be used in a model.
}
\section{Fields}{

\describe{
\item{\code{mu}}{The mean vector for the prior.}

\item{\code{Sigma}}{The covariance matrix for the prior.}
}}

